﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SLConverter
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            List<CityInformation> listCity = new List<CityInformation>() 
            {
                new CityInformation(){
                    AddrName="四川",
                    CityName="成都",
                    TelNum="028-28884482",
                    CityImageUrl="http://sc.admin5.com/uploads/allimg/100211/105R34217-0.png"
                },
                new CityInformation()
                {
                 AddrName="广东",
                    CityName="广州",
                    TelNum="021-22332884",
                    CityImageUrl="http://sc.admin5.com/uploads/allimg/100211/105R333J-4.png"
                },
                new CityInformation()
                {
                 AddrName="上海",
                    CityName="上海",
                    TelNum="020-33245566",
                    CityImageUrl="http://sc.admin5.com/uploads/allimg/100211/105R31S6-9.png"
                },
                new CityInformation()
                {
                 AddrName="北京",
                    CityName="北京",
                    TelNum="010-77534222",
                    CityImageUrl="http://sc.admin5.com/uploads/allimg/100211/105R33342-7.png"
                }

            };

            this.ShowCityList.ItemsSource = listCity;

        }
    }
    /// <summary>
    /// 城市信息的实体类
    /// </summary>
    public class CityInformation
    {
        private string _AddrName;
        private string _CityName;
        private string _TelNum;
        private string _cityImageUrl;
        public string AddrName
        {
            get { return _AddrName; }
            set { _AddrName = value; }
        }
        public string CityName
        {
            get { return _CityName; }
            set { _CityName = value; }
        }
        public string TelNum
        {
            get { return _TelNum; }
            set { _TelNum = value; }
        }
        public string CityImageUrl
        {
            get { return _cityImageUrl; }
            set { _cityImageUrl = value; }
        }
    }
}
